const mongoose = require('mongoose');
const express = require('express');
const app = express();
const blogsroute = require('./routes/blogsroute');


mongoose.connect('mongodb://localhost/playground')
    .then(() => console.log('Connected to MongoDB...'))
    .catch(err => console.error('Could not connect to MongoDB...', err));


app.use(express.static('public'));
app.use('/blogs', blogsroute);


const port = process.env.PORT || 8080;
app.listen(port, () => console.log(`Listening on port ${port}...`));




