const mongoose = require('mongoose');

const blogSchema = new mongoose.Schema({
    title: String,
    content: { name: String, url: String },
    category: String,
    date: { type: Date, default: Date.now },
    slug: String,
    thumbnail: { name: String, url: String }
});    

const Blog = mongoose.model('Blog', blogSchema);

module.exports = Blog;